var blogData,blogPageData;
Appyscript.RssPage = function(a){
    var blogData = pageData.list[a];
    Appyscript.showIndicator();
    $$.get(blogData.value, function(data){
           data = data.replace(/pubdate/gi, "pubdate");
		   data = data.replace(/published>/gi, "pubdate>");
           data = data.replace(/content:encoded/gi, "content");
		   data = data.replace(/entry>/gi, "item>");
		   
           
           var jsonData = {
           title:blogData.name,
           list:[],
           layout:2,
           innerLayout:4,
           pagetitle:blogData.name
           }
           var parser = new DOMParser();
           data = parser.parseFromString(data, 'text/xml');
           /*
			$$(data).find("image").eq(0).each(function(){
				var thisItem = $$(this);
				jsonData.image = {
					"title":thisItem.find("title").text(),
					"url":thisItem.find("url").text(),
					"link":thisItem.find("link").text()
				}
			});
            */			
           $$(data).find("item").each(function(i){
			  var thisItem = $$(this);
			  var thisRow = {
				  "title":thisItem.find("title").text(),
				  "link":thisItem.find("link").text(),
				  "pubdate":thisItem.find("pubdate").text(),
				  "contentImg":"http://supersnappy.appypie.com/images/no-image.jpg",
				  "featured":0
			  }
			  if(i == 0) {
			  thisRow.featured = 1;
			  }
			  if(thisItem.find("content").length == 0)
			  {
				thisRow.desc = thisItem.find("description").text();
					if(thisRow.desc.indexOf("img") > 0 ) {
						var imgJPG = $$('<div>'+thisRow.desc+'</div>').find('img').attr('src');				 
						thisRow.contentImg = imgJPG;
					}
					thisRow.smalldesc = $$('<div>' + thisRow.desc + '</div>').text();		  
			  }
			  else
			  {
					thisRow.desc = thisItem.find("content").text()
					if(thisRow.desc.indexOf("img") > 0 ) {
						var imgJPG = $$('<div>'+thisRow.desc+'</div>').find('img').attr('src');				 
						thisRow.contentImg = imgJPG;
					}
					thisRow.smalldesc = $$('<div>' + thisRow.desc + '</div>').text();			  
			  }
			  jsonData.list.push(thisRow);
			  jsonData.styleAndNavigation = pageData.styleAndNavigation
			})
           jsonData.innerLayout=1;
           openPage("blog", jsonData);
           blogPageData = jsonData;
           Appyscript.hideIndicator();
	});
}

Appyscript.BlogPage = function(a){
    var blogData = pageData.list[a];
    blogData.styleAndNavigation = pageData.styleAndNavigation;
    var wsUrl=data.appData.reseller+"/services/utility-soap#blogService";
    var soapRequest ='<?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"> <soap:Body><blogService><type>'+blogData.identifire+'</type><link>'+blogData.value.replace(/&/g, '&amp;')+'</link><isMedia>1</isMedia></blogService></soap:Body></soap:Envelope>';
    Appyscript.showIndicator();
    
    if(isOnline())
    {
        $$.ajax({
                type: "POST",
                url: wsUrl,
                contentType: "text/xml",
                dataType: "text",
                data: soapRequest,
                success: function(data) {
                Appyscript.hideIndicator();
                var parser = new DOMParser();
                data = parser.parseFromString(data, 'text/xml');
                var listData = JSON.parse($$(data).find("return").text());
                if(listData == null) {
                Appyscript.RssPage(a);
                }
                else {
                if(blogData.identifire != "tumbler")
                {
	                $$.each(listData, function(i) {
						if(listData[i].contentImg.indexOf("<img") != -1) {
							if($$(listData[i].contentImg).attr("src") != null)
							{
								listData[i].contentImg = $$(listData[i].contentImg).attr("src");
							}
						} 	
					})
                }
                $$.each(listData, function(ind,val){
                        if(val.contentImg.trim() == "") {
                        listData[ind].contentImg = "http://supersnappy.appypie.com/images/no-image.jpg";
                        }
						listData[ind].smalldesc = $$('<div>' + val.desc + '</div>').text();
						
                        })
                data = {
                title:blogData.name,
                list:listData,
                pagetitle:blogData.name
                }
                openPage("blog", data);
                blogPageData = data;
                }
                },
                error: function(response, textStatus, errorThrown) {
                  Appyscript.hideIndicator();
                  Appyscript.alert(something_went_wrong_please_try_again,appnameglobal_allpages);
                }
                });
    }
    else
    {
        Appyscript.hideIndicator();
        Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);
    }

}

Appyscript.BlogDetailsPage = function(index) {
    var data = blogPageData.list[index];
   // data.pagetitle = blogPageData.pagetitle;
   data.pagetitle = blogPageData.list[index].title;
	$$.get("pages/blog-details.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
		$$(".blog-text *").removeAttr("style");
	});
}

Appyscript.BlogComment = function(a) {
    //alert("BlogComment")
}


Appyscript.BlogBookmark = function(a) {
    //alert("BlogBookmark")
}

Appyscript.BlogFontsSize = function(a) {
    localStorage.setItem("popup", true);
    Appyscript.modal({
                     title:"Select font size",
                     verticalButtons:true,
                     buttons:[
                              {text:"Small",       onClick: function(){$$(".blog-page").removeClass("small").removeClass("normal").removeClass("large").addClass(this.text.toLowerCase()); localStorage.popup=false}
                              },
                              {text:"Normal",       onClick: function(){$$(".blog-page").removeClass("small").removeClass("normal").removeClass("large").addClass(this.text.toLowerCase()); localStorage.popup=false}
                              },
                              {text:"Large",       onClick: function(){$$(".blog-page").removeClass("small").removeClass("normal").removeClass("large").addClass(this.text.toLowerCase()); localStorage.popup=false}
                              }
                              ]
	})
}


AppyTemplate.registerHelper('blogDate',function (type) {	
	var date = new Date(type);
	if(date.toString() == "Invalid Date") {
		return type;
	}
	else {
		return date.toUTCString().replace("GMT", "");	
	}
})


//native call methods

Appyscript.BlogShare = function(a)
{
    if(Appyscript.device.android)
    {
        Appyscript.shareText(a);
    }
    else {
        
        window.location = "newsshare:"+a;
        
    }    
}