
Appyscript.onPageInit('realestateFilter',function(page){
	$$(".tabs a").click(function(){
		$$(".tabs a").removeClass("on");
		$$(this).addClass("on");
		return false;
	})
	
	$$(".distance-tabs a").click(function(){
		$$(".distance-tabs a").removeClass("on");
		$$(this).addClass("on");
		$$("#distanceType").val($(this).attr("data"));
		return false;
	})
	
	/*
	$$( ".distance-slider div" ).slider({
		range: true,
		min: 0,
		max: 500,
		values: [ 75, 300 ],
		slide: function( event, ui ) {
			$$(".minText").text(ui.values[ 0 ] + $$("#distanceType").val())
			$$(".maxText").text(ui.values[ 1 ] + $$("#distanceType").val())
			$$("#minDistance").val(ui.values[ 0 ]);
			$$("#maxDistance").val(ui.values[ 1 ]);
		}
	});
	
	$$( ".price-slider div" ).slider({
		range: true,
		min: 0,
		max: 500,
		values: [ 75, 300 ],
		slide: function( event, ui ) {
			$$(".minPrice").text("$" + ui.values[ 0 ]);
			$$(".maxPrice").text("$" + ui.values[ 1 ]);
			$$("#minPrice").val(ui.values[ 0 ]);
			$$("#maxPrice").val(ui.values[ 1 ]);
		}
	});
	*/
	
	 var swiper = new Swiper('.property-type', {
		slidesPerView: 7,
		paginationClickable: true,
		breakpoints: {
			360: {
				slidesPerView: 3,
			},
			400: {
				slidesPerView:4,
			},
			500: {
				slidesPerView:5,
			},
			580: {
				slidesPerView:6,
			}
		}
	});
	
	$$(".property-type .swiper-slide").click(function(){
		if($$(this).is(".on"))
		{
			$$(this).removeClass("on");		
		}
		else
		{
			$$(this).addClass("on");		
	
		}
		return false;
	})
	
	$$(".swiper").each(function(i){
		var thisSwiper = $$(this);
		thisSwiper.append('<span class="on"></span>')
		thisSwiper.addClass("swiper-container").addClass("swiper-" + i).append('<div class="swiper-wrapper"></div>');
		var size = $$(this).attr("data-size");
		for(var j=0; j<size; j++)
		{
			thisSwiper.find(".swiper-wrapper").append('<div class="swiper-slide"><span>'+(j+1)+'</span></div>');
		}
		var swiperMe = new Swiper('.swiper-' + i, {
			slidesPerView:11,
			centeredSlides: true,		
			breakpoints: {
				480: {
					slidesPerView:5,
				},
				640: {
					slidesPerView:7,
				},
				768: {
					slidesPerView:9,
				}
			}
		});
		swiperMe.on("SlideChangeEnd", function(){
			thisSwiper.find("input").val(swiperMe.activeIndex + 1);
		})
		thisSwiper.find(".swiper-slide").click(function(){
			swiperMe.slideTo(parseInt($$(this).text()) - 1);
			return false;
		})
		thisSwiper.find("input").val(swiperMe.activeIndex + 1);
	})
	
	
	$$(".checklist li").click(function(){
		if($$(this).is(".on"))
		{
			$$(this).removeClass("on");
		}
		else
		{
			$$(this).addClass("on");
		}
		var htmlData = [];
		$$(".checklist li.on").each(function(){
			htmlData.push($$(this).attr("data"));				
		})
		$$("#amenities").val(htmlData.join(","));
	})
})


Appyscript.realestateList = function(a) {
	var data = {};
	$$.get("pages/realestate-list.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
	});
}

Appyscript.realestateDetails = function(a) {
	var data = {};
	$$.get("pages/realestate-details.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
	});
}


Appyscript.realestateAddListing = function(a) {
	var data = {};
	$$.get("pages/realestate-addlisting.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
	});
}


Appyscript.realestateAddListingLocation = function(a) {
	var data = {};
	$$.get("pages/realestate-addlisting-location.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
	});
}

Appyscript.realestateAddListingDetails = function(a) {
	var data = {};
	$$.get("pages/realestate-addlisting-details.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
		
		$$(".swiper").each(function(i){
			var thisSwiper = $$(this);
			thisSwiper.append('<span class="on"></span>')
			thisSwiper.addClass("swiper-container").addClass("swiper-" + i).append('<div class="swiper-wrapper"></div>');
			var size = $$(this).attr("data-size");
			for(var j=0; j<size; j++)
			{
				thisSwiper.find(".swiper-wrapper").append('<div class="swiper-slide"><span>'+(j+1)+'</span></div>');
			}
			var swiperMe = new Swiper('.swiper-' + i, {
				slidesPerView:11,
				centeredSlides: true,		
				breakpoints: {
					480: {
						slidesPerView:5,
					},
					640: {
						slidesPerView:7,
					},
					768: {
						slidesPerView:9,
					}
				}
			});
			swiperMe.on("SlideChangeEnd", function(){
				thisSwiper.find("input").val(swiperMe.activeIndex + 1);
			})
			thisSwiper.find(".swiper-slide").click(function(){		
				swiperMe.slideTo(parseInt($$(this).text()) - 1);
				return false;
			})
			thisSwiper.find("input").val(swiperMe.activeIndex + 1);
		})

	});
}

Appyscript.realestateAddListingMedia = function(a) {
	var data = {};
	$$.get("pages/realestate-addlisting-media.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
		
		$$(".property-purpose span a").click(function(){
			$$(".property-purpose span a").removeClass("on");
			$$(this).addClass("on");
			$$(".property-purpose span input").val($$(this).attr("data"));
		})
		$$(".add-details").find("input[type='text'],textarea,select").hide().attr("disabled", "disabled");
		$$(".add-details i").click(function(){
			if($$(this).is(".icon-ok-4"))
			{
				$$(this).removeClass("icon-ok-4");		
				$$(this).find("input")[0].checked = false;
				$$(this).parent().parent().find("input[type='text'],textarea,select").hide().attr("disabled", "disabled");
			}
			else
			{
				$$(this).addClass("icon-ok-4");
				$$(this).find("input")[0].checked = true;
				$$(this).parent().parent().find("input[type='text'],textarea,select").show().removeAttr("disabled", "disabled");
			}	
		})
	});
}

Appyscript.realestatePreview = function(a) {
	var data = {};
	$$.get("pages/realestate-preview.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(data);
		mainView.router.load({content: html, animatePages: true});
	});
}

Appyscript.realestateAddListingDone = function(a) {
	alert("done");
}

