function openPocketTools(pageIndex, pageIdentifier,headerTitle){
	switch(pageIdentifier)
        {
        case 'camera':
            opencamera(headerTitle);
            break;
        case 'geoLocation':
            if(isOnline())
            {
                opengeoLocation(headerTitle);
            }
            else
            {
                 Appyscript.alert(internetconnectionmessage,data.appData.appName);
            }
            break;
        case 'mortgageCalculator':
                pageData.title=headerTitle;
                openPage("mortgage",pageData);
            break;
        case 'barcodeScanner':
            openbarcodeScanner(headerTitle);
            break;
        case 'soundRecorder':
            opensoundRecorder(headerTitle);
            break;
        case 'videoRecorder':
            openvideoRecorder(headerTitle);
            break;
        case 'pedometer':
            openpedometer(headerTitle);
            break;
        case 'editor':
            openeditor(headerTitle);
            break;
        case 'torch':
            opentorch(headerTitle);
            break;
        case 'notes':
            Appyscript.openNotes(pageIndex, pageIdentifier);
            break;
        case 'practo':
        case 'cricket':
        case 'scientificCalculator':
        case 'curConverter':
        case 'coloringbook':
            if(isOnline())
            {
                Appyscript.openWebView(pageData.list[pageIndex].value,headerTitle);
            }
            else
            {
                Appyscript.alert(internetconnectionmessage,data.appData.appName);
            }
            break;
        case 'pokepie':
            if(isOnline())
            {
                Appyscript.getLocalCords();
                pokepie(headerTitle);
            }
            else
            {
                 Appyscript.alert(internetconnectionmessage,data.appData.appName);
            }
            break;
        case 'weather':
            if(isOnline())
            {
                localStorage.weatherType=pageData.list[pageIndex].weatherType;
                Appyscript.openWeather(headerTitle);
                break;
            }
            else
            {
                 Appyscript.alert(internetconnectionmessage,data.appData.appName);
            }
           
    }
}
function pokepie(page)
{
    setTimeout(function(){
               openpokpie(page);
               },1000)
}

// other iphone methods

var mapnamedynamic='';
function mapScreen(pagename){
    
    mapnamedynamic= pagename;
    if( navigator.geolocation)
    {
        navigator.geolocation.getCurrentPosition(successmaptolls,failmap);
    }
    
}
function successmaptolls(position)
{
    
    var geocoder = new google.maps.Geocoder();
    var latLng = new google.maps.LatLng(position.coords.latitude,position.coords.longitude);
    
    if (geocoder) {
        geocoder.geocode({ 'latLng': latLng}, function (results, status) {
                         var openthirdparty='1';
                         
                         pageData.pageTitle=mapnamedynamic;
                         mapdata = [encodeURIComponent(results[0].formatted_address), position.coords.latitude, position.coords.longitude,openthirdparty];
                         Appyscript.popupPage('map');
                         });
    }
}
function failmap()
{
   Appyscript.alert(something_went_wrong_please_try_again,appnameglobal_allpages);
}
function QrScannerSuccessGlobal(a)
{
    var code = a.split(":");
    var value = parseInt(code[1]);
    
}



// native call methods

function opencamera(page)
{
    if(Appyscript.device.android)
    {
        Appyscript.openCamera();
    }
    else
    {
         window.location ="camera:"+page;
    }
   
}
function opengeoLocation(page)
{
    if(Appyscript.device.android)
    {
         Appyscript.openMap();
    }
    else
    {
         mapScreen(page);
    }
}
function openbarcodeScanner(header)
{
    if(Appyscript.device.android)
    {
        Appyscript.openBarcodeScanner(header);
    }
    else
    {
        var fromloyality='false';
        window.location="scanner:"+fromloyality;
    }
   
}
function opensoundRecorder(page)
{
    if(Appyscript.device.android)
    {
         Appyscript.openAudioRecorder(page);
    }
    else
    {
       window.location ="audiorecoder:"+page;
    }
}
function openvideoRecorder(page)
{
    if(Appyscript.device.android)
    {
        Appyscript.openVideoRecorder(page);
    }
    else
    {
         window.location="videorecorder:"+page;
    }
}
function openpedometer(page)
{
    if(Appyscript.device.android)
    {
        Appyscript.openPedometer(page);
    }
    else
    {
       window.location ="pedometer:"+page;
    }
   
}
function openeditor(page)
{
    if(Appyscript.device.android)
    {
        AppyPieNative.openImageSelectorDialog(111);
    }
    else
    {
        window.location ="imageeditor:"+page;

    }
}
function opentorch(page)
{
    if(Appyscript.device.android)
    {
        Appyscript.openTorch(page);
    }
    else
    {
       window.location ="torch:"+page;
    }
}
function openpokpie(page)
{
    if(Appyscript.device.android)
    {
         Appyscript.openWebView("http://apps.appypie.com/media/testapp/pokemap?latitude="+localStorage.getItem("localLatitude")+"&longitude="+localStorage.getItem("localLongitude"),page);
    }
    else
    {
         window.location="openwebview:https://apps.appypie.com/media/testapp/pokemap?latitude="+localStorage.getItem("localLatitude")+"&longitude="+localStorage.getItem("localLongitude")+"$,$"+page+"$,$$,$$,$";
    }
}
