/*
In this file we created interface method for JS to native plugn-ins
*/

/*
@param url: website url
Created by: Krishna
*/
Appyscript.openWebView=function(url,headerTitle){
if(isOnline())
    {
if(!headerTitle){headerTitle=pageData.pageTitle;}
if(url.indexOf(".pdf")!=-1){Appyscript.openPdfFile(url,"YES"); return true;}
if(data.home.length == 1)
    AppyPieNative.openWebView(url,headerTitle);
else
   AppyPieNative.openWebView(url,headerTitle);
}else
    {
        Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
    }
}

/*
@param mailid: mail id of receiver
@param subject: subject of mail(can be blank)
@param message: text massage to send(can be blank)
Created by: Krishna
*/
Appyscript.sendMail=function(mailId, subject, message){
if(isOnline())
    {
    if(!mailId){mailId="";}if(!subject){subject="";}if(!message){message="";}
    AppyPieNative.sendMail(mailId, subject, message);
    }else
        {
            Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
        }
}

/*
@param text: sharing text
Created by: Krishna
*/
Appyscript.shareText=function(text){
if(isOnline())
    {
    AppyPieNative.shareText(text);
    }else
            {
                Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
            }
}

/*
@param number: mobile number
Created by: Krishna
*/
Appyscript.call=function(number){
    AppyPieNative.call(number);
}

/*
@param message: message to show
@param longToast: boolean variable for long toast
Created by: Krishna
*/
Appyscript.showToast=function(message, longToast){
    AppyPieNative.showToast(message, longToast);
}

/*
@param skypeId: user id of skype
Created by: Krishna
*/
Appyscript.callSkype=function(skypeId){

if(isOnline())
    {
   Appyscript.showIndicator();
       AppyPieNative.callSkype(skypeId);
   setTimeout(function(){
   Appyscript.hideIndicator();
   },1000);
    }else
            {
                Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
            }


}

/*
@return package name of application.
Created by: Krishna
*/
Appyscript.getPackageName=function(){
    return AppyPieNative.getPackageName();
}

/*
@return device id.
Created by: Krishna
*/
Appyscript.getDeviceId=function(){
    return AppyPieNative.getDeviceId();
}


/*To play video stream on vitamio player..
params: jsonDataOfVideo >> JSON list of video to be played
        videoIndex      >> position of video inside that JSON list to be played
returns: N/A
created by: Krishna
*/
Appyscript.openVideoStream=function(clickedVideoUrl,jsonDataOfVideo,videoIndex,pageTitle,openInNativeBrowser,enableShare,enableCastscreen,enableAutoPlay){
if(isOnline())
    {
    AppyPieNative.playLiveSteamVideo(clickedVideoUrl,jsonDataOfVideo,videoIndex,pageTitle,openInNativeBrowser,enableShare,enableCastscreen,enableAutoPlay);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }
}

/*To play  video on youtube player..
params:  youtubeWatchUrl >> video_ID/watch_ID of youtube video
returns: N/A
created by: Krishna
*/
Appyscript.playYoutubeWatch=function(youtubeWatchUrl,jsonDataOfVideo,enableAutoPlay,headerTitle){
if(isOnline())
    {
    if(!headerTitle){headerTitle=pageData.pageTitle;}
       AppyPieNative.playYoutubeWatch(youtubeWatchUrl, jsonDataOfVideo,enableAutoPlay,headerTitle);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}



/*Check internet availability..
params: N/A
returns: Returns bool value (true if network available)
created by: Krishna
*/
function isOnline(){
    return AppyPieNative.checkNetworkAvailability();
}


/*Convert xml to json funation...
params: xmlData >>> XML String to be converted
returns : convertedJSONString >>> converted JSON string of passed xml data
created by: Krishna
*/
Appyscript.convertXMLToJson=function(xmlData){
    var convertedJSONString=AppyPieNative.convertXMLToJson(xmlData);
    return convertedJSONString;
}


/* Play audio stream on Radio Player..
params: audioUrl  >>> Audio URL to be played
retunrs: N/A
created by: Krishna
*/
Appyscript.playRadioStream=function(audioUrl,playerBGImage,disableAutoalbumCheck,radioPlsType,channelName,enableAutoPlay,PageName){
if(isOnline())
    {
   if(!PageName){PageName=pageData.pageTitle;}
       AppyPieNative.playRadioStream(audioUrl,playerBGImage,disableAutoalbumCheck,radioPlsType,channelName,enableAutoPlay,PageName);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/* Play audio stream on Normal Player..
params: audioUrl  >>> Audio URL to be played
retunrs: N/A
created by: Krishna
*/
Appyscript.playAudioUrls=function(jsonString,audioType,defaultImageUrl,channelName,enableautoplay,headerTitle,PageName){
if(isOnline())
    {
     if(!PageName){PageName=pageData.pageTitle;}
      AppyPieNative.playAudioUrls(jsonString,"rss","","",enableautoplay,headerTitle,PageName);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
getStreamFrameLength
Created by: Krishna
*/
Appyscript.getStreamFrameLength=function(streamUrl){
    AppyPieNative.getStreamFrameLength(audioUrl);
}

/*
To finish splash screen
Created by: Krishna
*/
Appyscript.stopSplash=function(){
    AppyPieNative.stopSplash();
}

/*
To save image in storage and share stored encoded image. 
@param imageData: encoded image data
Created by: Krishna
*/
Appyscript.shareEncodedImage=function(imageData){
    AppyPieNative.shareEncodedImage(imageData);
}

//---------------------------------- Pocket Tools Functions --------------------------------//

/*
To open device camera to capture and display image.
Created by: Krishna
*/
Appyscript.openCamera=function(){
    AppyPieNative.openCamera();
}

/*
To open barcode scanner.
Created by: Krishna
*/
Appyscript.openBarcodeScanner=function(headerTitle){
    AppyPieNative.openBarcodeScanner(headerTitle);
}

/*
To open audio recoder.
Created by: Krishna
*/
Appyscript.openAudioRecorder=function(headerTitle){
    AppyPieNative.openAudioRecorder(headerTitle);
}

/*
To open map on webview and display current location on map.
Created by: Krishna
*/
Appyscript.openMap=function(){
if(isOnline())
    {
     AppyPieNative.openMap();
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
To open video recorder.
Created by: Krishna
*/
Appyscript.openVideoRecorder=function(headerTitle){
    AppyPieNative.openVideoRecorder(headerTitle);
}

/*
To open pedometer.
Created by: Krishna
*/
Appyscript.openPedometer=function(headerTitle){
    AppyPieNative.openPedometer(headerTitle);
}

/*
To open dialog to take image from gallery or capture image using camera.
@param request_code: 111 for image editor
Created by: Krishna
*/
Appyscript.openImageSelectorDialog=function(request_code){
    AppyPieNative.openImageSelectorDialog(request_code);
}

/*
To open Torch.
Created by: Krishna
*/
Appyscript.openTorch=function(headerTitle){
    AppyPieNative.openTorch(headerTitle);
}


//---------------------------------- End Of Pocket Tools.

/*
openGallary
Created by: krishna
*/

Appyscript.openGallary=function(imageArray,position,picsLikes,picsComment,picsText,photoShareCheck,picsTitle)
{
 if(!picsTitle){picsTitle=pageData.pageTitle;}
AppyPieNative.openImageGallary(imageArray,position,picsLikes,picsComment,picsText,photoShareCheck,picsTitle);
}

/*
@param url: epub url
Created by: krishna
*/

Appyscript.openEpubFile=function(mFileUrl){
    AppyPieNative.openEpubFile(mFileUrl);
}


/*
@param url: pdf url
Created by: krishna
*/
Appyscript.openPdfFile=function(pdfUrl,checkForThirdParyPDFViewer) {
    AppyPieNative.openPdfFile(pdfUrl,checkForThirdParyPDFViewer);
}


/*
@param url: website url,navigationHeaderCheck,authCheck,inAppCheck
Created by: krishna
*/
Appyscript.openWebSiteView=function(wepageUrl,inAppNavigationCheck,websiteAuthCheckCheck,nativeOsBrowserCheck,webPageName) {
if(isOnline())
    {
     AppyPieNative.openWebSiteView(wepageUrl,inAppNavigationCheck,websiteAuthCheckCheck,nativeOsBrowserCheck,webPageName);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
Exit from app
Created by: krishna
*/
Appyscript.exitApp=function() {
    AppyPieNative.exitApp();
}

/*
openChats like whatsapp/skype/wechat/snapchat..
Created by: krishna
*/
Appyscript.openChat=function(value,userName) {
    AppyPieNative.openChat(value,userName);
}


/*
openMapView
Created by: krishna
*/
Appyscript.openMapView=function(subText,type) 
{
if(isOnline())
    {
    if(type ==''  || type =='null')
    	{
    		 type =data.appData.appName;
    	}
        AppyPieNative.openMapView(subText,type);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
openDeepLink
Created by: krishna
*/
Appyscript.openDeepLink=function(deepLinkUrl) {
    AppyPieNative.openDeepLink(deepLinkUrl);
 }
 
 /*
@return default language code.
Created by: Krishna
*/
Appyscript.getDefaultLanguage=function(){
    return AppyPieNative.getDefaultLanguage();
}

 /*
To login with Facebook.
Created by: Krishna
*/
Appyscript.loginWithFacebook=function(){
    AppyPieNative.loginWithFacebook();
}

/*
openDeepLinkPage
Created by: krishna
*/
Appyscript.openDeepLinkPage=function()
{
      if (pageData.list.length == 1) {
      if(pageData.list[0].identifire!='IOS')
      Appyscript.openDeepLink(pageData.list[0].value);
      else
      Appyscript.alert("Deeplink not found.",data.appData.appName);
      }
      else
      {
      var a = [];
      $$.each(pageData.list, function( key, value ){
               if(value.identifire=='IOS')
               {
              // console.log("value found to delete");
               a.push(key);
               //pageData.list.splice(key,1);
               }

               });

                $$.each(a, function( key, value ){
                            pageData.list.splice(value,1);
                              });


       //console.log("pageData value"+JSON.stringify(pageData));
       openPage('commanPage', pageData);
      }
}


/*
      To open payU Webview.
       Created by: Manoj
  */
Appyscript.openPayuView=function(amount,orderid, appId,firstName,lastName,email,mobile, key, salt,baseUrl, pageType){


if(isOnline())
    {
    if(pageData)
    {
       if(pageData.pageTitle)
       AppyPieNative.openPayuView(amount,orderid, appId,firstName,lastName,email,mobile, key, salt,baseUrl,pageType,pageData.pageTitle);
       else
       AppyPieNative.openPayuView(amount,orderid, appId,firstName,lastName,email,mobile, key, salt,baseUrl,pageType,data.appData.appName);
    }
    else{
       AppyPieNative.openPayuView(amount,orderid, appId,firstName,lastName,email,mobile, key, salt,baseUrl,pageType,data.appData.appName);
    }
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }


}


/*
displayAds
Created by: krishna
*/
Appyscript.displayMobileAds=function()
{
   AppyPieNative.displayMobileAds();
}

/*
@return device token id.
Created by: Krishna
*/
Appyscript.getDeviceToken=function(){
    return AppyPieNative.getDeviceToken();
}

/*
To open Paypal html data in web view
Created by: Krishna
*/
Appyscript.openPaypal=function(htmlData,pageType){
if(isOnline())
    {
    if(pageData)
    {
    if(pageData.pageTitle)
        AppyPieNative.openPaypal(htmlData,pageType,pageData.pageTitle);
    else
        AppyPieNative.openPaypal(htmlData,pageType,data.appData.appName);
    }
    else{
        AppyPieNative.openPaypal(htmlData,pageType,data.appData.appName);
    }
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
To show alert from native to js.
Created by: Krishna
*/
Appyscript.showFormbuilderAlert=function(){
    Appyscript.alert(formBuilderData.submissionSuccessMsg,window.data.appData.appName);
}

/*
To share App
Created by: Krishna
*/
Appyscript.ShareNow=function(htmlData){
  if(isOnline()){
          $.ajax({
                url: "https://play.google.com/store/apps/details?id="+Appyscript.getPackageName(),
                error: function(Data, textStatus,val){
                 if(Data.status==404)
                    Appyscript.alert(data.languageSetting.App_is_still_not_live_at_AppStore,appnameglobal_allpages);
                 else
                     AppyPieNative.shareApp();
            }});

         }else
                        {
                            Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                        }


}

/*
To Rate app.
Created by: Krishna
*/

Appyscript.RateNow=function(){
if(isOnline()){
      $.ajax({
            url: "https://play.google.com/store/apps/details?id="+Appyscript.getPackageName(),
            error: function(Data, textStatus,val){
             if(Data.status==404)
                Appyscript.alert(data.languageSetting.App_is_still_not_live_at_AppStore,appnameglobal_allpages);
             else
                AppyPieNative.rateApp();
        }});

     }else
                    {
                        Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                    }
}


/*
Logout From App.
Created by: Krishna
*/
Appyscript.AppLogout = function(){
   localStorage.setItem("username", "");
   localStorage.setItem("email", "");
   localStorage.setItem("phone", "");
   localStorage.setItem("password", "");
   localStorage.setItem("userid", "");
   localStorage.setItem("userId", "");
   localStorage.setItem("isettingsave","");
   localStorage.setItem("datingcountdownchat","0");
   Appyscript.popupClose();
  if(data.login.autoLogin =='true')
    {
        Appyscript.loginPage();
    }else{

        Appyscript.clickHome();
    }

   AppyTemplate.global.loginCheck=false;
   AppyTemplate.global.email="";
   AppyTemplate.global.username="";
   AppyTemplate.global.profileImage="";
   AppyPieNative.disconnectFromFacebook();
}

/*
Payment Via Google-IAP
Created by: Krishna
*/
Appyscript.paymentViaGoogleIAP = function(productId,publicKey,paymentType){
   AppyPieNative.paymentViaGoogleIAP(productId,publicKey,paymentType);
}

/*
calling from native(PaypalActivity) to js.
Created by: Krishna
*/
Appyscript.successSignUp=function(){
    Appyscript.signupSuccess();
}



/*
Method : share data with summary and header and image url from directory details page
Created by: Krishna
*/
Appyscript.share_Img_Header_Description=function(a)
{
    var summary= a.getAttribute("summary");
    var images= a.getAttribute("images");
    var header= a.getAttribute("header");
    Appyscript.shareText(""+header+"\n"+summary+"\n"+images);

}

/*
Method : share data with description and header and image url from directory details page
Created by: Krishna
*/
Appyscript.share_Header_Description_Url=function(serviceImage,serviceHeader,serviceDescription)
{
 Appyscript.shareText(""+serviceHeader+"\n"+serviceDescription+"\n"+serviceImage);
}
/*
@param url: webpage load data
Created by: Krishna
*/
Appyscript.loadWebData=function(webData,headerTitle){
    AppyPieNative.loadWebData(webData,headerTitle);
}

/*
@param url: take Screen Shot
Created by: Ravi
*/
Appyscript.takeScreenShot=function(){
    AppyPieNative.takeScreenShot();
}


 /*
   This fuction is used to pay payment through stripe.
   @Author: Manoj Kumar
  */
Appyscript.goForCreditCardPayment=function(cnumber,expairyMonth,expairyYear,cvvCode,cHolder,totalAmount,orderId,stripe_client_id,stripe_secret_key,cunrcy,discriptionn,pageType)
{
   try{
       //console.log("goForCreditCardPayment"+cnumber+":::"+expairyMonth+"::"+expairyYear+"::"+cvvCode+"::"+cHolder+"::"+totalAmount+"::"+orderId+"::"+stripe_client_id+"::"+stripe_secret_key+"::"+cunrcy+"::"+discriptionn);
       AppyPieNative.goForCreditCardPayment(cnumber,expairyMonth,expairyYear,cvvCode,cHolder,totalAmount,orderId,stripe_client_id,stripe_secret_key,cunrcy,discriptionn,pageType);
   }catch(err){
        Appyscript.hideIndicator();
        Appyscript.alert("Please enter valid details.");
   }
}

/*
@param number: call on mobile number from directory
Created by: Krishna
*/
Appyscript.MakeCall=function(a)
{
   AppyPieNative.call($$(a).attr("data-call"));
}


/*
load address on map for directory..
Created by: Krishna
*/

//lat,lat  //long,long //0,1  //delhi,up //header //0  //hyperlocal //this
Appyscript.showServicePageMapNew=function(latitude,longitude,index,address,header,mapThirdParty,isFrom,this1)
{
    var appName="Directory";

       var localLatitude=sessionStorage.getItem("localLatitude");
       var localLongitude=sessionStorage.getItem("localLongitude");

       if(index=="")
       {
        index = $$(this1).parents("li").index();
       }


      if(parseInt(mapThirdParty) == 1)
      {
         //AppyPieNative.openMapView(address,"addr");
		  Appyscript.openMapViewGoogle(address,latitude,longitude,header);
      }
      else
      {
          var dirData=latitude+"%%%"+longitude+"%%%"+index+"%%%"+address+"%%%"+header+"%%%"+"51.5073509"+"%%%"+"-0.1277583"+"%%%"+"London"+"%%%"+isFrom;
          AppyPieNative.showServicePageMapNew(dirData);
      }
}

/*
@param number: call on mobile number from directory
Created by: Krishna
*/
Appyscript.getCurrentPosition=function()
{
   var locationData=AppyPieNative.getCurrentLocation();
   return locationData;
}


/*
   This fuction is used to upload multiple files Directory.
   @Author: Manoj Kumar
  */
Appyscript.uploadMultipleFilesDirectory=function (dirCatId,headingData, summaryData, bodyData,emailLabelSend,emailData, urlLabelData,
                                                   urlData,callLabelData,callData,addressLabelData, addressData, opentableLabelData,
                                                   opentableData, videoData,soundrssData,rssradioData,customlistData,customTrackNameData,
                                                   customTrackDescriptionData,mapInApp,applicationID,AppName, owneremail,ownerName,
                                                   userEmail,userName,serviceHeaderName, bodyImageFinalArray, resellerId,listId,
                                                  imageCommaSeparatePath,lat,longi, dirDocLinks)
{
   AppyPieNative.uploadMultipleFilesDirectory(dirCatId,headingData, summaryData, bodyData,emailLabelSend,emailData, urlLabelData,
                                              urlData,callLabelData,callData,addressLabelData, addressData, opentableLabelData,
                                              opentableData, videoData,soundrssData,rssradioData,customlistData,customTrackNameData,
                                              customTrackDescriptionData,mapInApp,applicationID,AppName, owneremail,ownerName,
                                              userEmail,userName,serviceHeaderName, bodyImageFinalArray, resellerId,listId,
                                              imageCommaSeparatePath,lat,longi, dirDocLinks);

}


/*
   This fuction is used to upload multiple files for submit request in directory.
   @Author: Manoj Kumar
  */

 Appyscript.submitRequestFormCustomNativeCall=function(appid,email,listId,catId,pageIdentifie,username,phone,address,budget,
  requirement,globalFileNameArray,globalimageurlArray,appName,header)
{
  AppyPieNative.submitRequestFormCustomNativeCall(appid,email,listId,catId,pageIdentifie,username,phone,address,budget,
    requirement,globalFileNameArray,globalimageurlArray,appName,header);


}




/*
load address on map for Map page ..
Created by: Abhishek rai
*/
Appyscript.openMapViewGoogle=function(address,latitude,longitude,pageTitle)
{
if(isOnline())
    {
     AppyPieNative.openMapViewGoogle(address,latitude,longitude,pageTitle);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

/*
   This method is used  to upload directory profile on server.
   Created by: Manoj
  */
 Appyscript.updateDirProfile=function(appId,name,email,imagePicArray,isFrom)
 {
    //console.log("is From"+isFrom);
    if(isFrom)
      AppyPieNative.updateDirProfile(appId,name,email,imagePicArray,isFrom);
     else
      AppyPieNative.updateDirProfile(appId,name,email,imagePicArray,"");
  
 }

 Appyscript.openSMS=function(smsNumber,defaultMessage)
 {
  AppyPieNative.openSMS(smsNumber,defaultMessage);
 }
 
 
 
 /*
    This fuction is used to update for Hyper Local Post Job.
    @Author: Manoj Kumar
   */
 Appyscript.hyperLocalPostUpdateJob=function(catId,heading,chargingCost, amountCurrency,workingHours,
                                              summary,youtubeUrl,emailLabel,email,urlLabel,url,
                                              callLabel,call,addressLabel,address,latitude,longitude,
                                              launchMap,appId,userEmail,appUserName,listId,bodyImage,imagefinalArray)

 {
          //console.log("imageCommaSeparatePath:imageCommaSeparatePath:"+imagefinalArray);
            // imagefinalArray=encodeURIComponent(imagefinalArray);
    AppyPieNative.hyperLocalPostUpdateJob(catId,heading,chargingCost, amountCurrency,workingHours,
                                           summary,youtubeUrl,emailLabel,email,urlLabel,url,
                                            callLabel,call,addressLabel,address,latitude,longitude,
                                             launchMap,appId,userEmail,appUserName,listId,bodyImage, imagefinalArray);

 }

/*
Open Gallary from social Network page
@Krishna
*/

 Appyscript.openImageWithPathIndexHeader=function(imageUrls,imageSequence,headerTitle)
  {
   AppyPieNative.openImageGallary(imageUrls,imageSequence,"","","","",headerTitle);
  }
  /*
gets real path from url
@Ravi
*/
   Appyscript.getRealPathFromURI=function(imageUri)
    {
    return AppyPieNative.getRealPathURI(imageUri);
    }

Appyscript.openCRMWebView=function(key,crmType,quoteData,headerData)
{
if(isOnline())
    {
    AppyPieNative.openCRMWebView(key,crmType,quoteData,headerData);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

Appyscript.OpenTable=function(id,header)
{
if(isOnline())
    {
     var OpenTable='<style>#OT_form, .OT_wrapper {width: 100% !important;height: 100% !important;}.OT_wrapper {border: 2px solid #fff !important;background-color:#fff !important;}.OT_title, .OT_subtitle, .OT_list {width: 100% !important;text-align: center !important;}.OT_day, .OT_time, .OT_party{text-align: center !importantr;width: auto !important;}.OT_submit{width: 100%!important;}.ot_searchtimefield, .ot_searchdatefield, .ot_searchpartyfield{width: 80%!important;} #OT_timeList, #OT_partyList{left: 22% !important;}.OT_day input, .OT_time input, .OT_party input{text-align: center !importantr;width: 80% !important;}</style><script type="text/javascript" src="https://secure.opentable.com/frontdoor/default.aspx?rid='+id+'&restref='+id+'&hover=1"></script>';

             AppyPieNative.openTable(OpenTable,header);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

    

}

Appyscript.showDataCouponInNativePopup=function(couponCode,heading,issueDate,validDate,couponPrice,discountRate)
    {

            //var discountRate="";
            if(discountRate=="percentage")
            {
              discountRate="%";
            }
            else
            {
              discountRate=" Flat";
            }


            var msgTxt="Discount Upto <big><b>"+couponPrice+discountRate+"</b></big><br> <br><b>Valid</b><br>"+issueDate+" - "+validDate+"<br><br><input value='"+couponCode+"' class='text-input' readonly style='width:100%; height:30px; border:1px dotted #333; text-align:center;font-weight: bold;'>";
            Appyscript.modal({

            title:heading,
            text:msgTxt,
            verticalButtons: true,
            buttons: [
            {text: 'Copy Now', onClick:function(){ AppyPieNative.showDataCouponInNativePopup(couponCode)}},
            {text: 'Cancel', bold:true, onClick:function(){}}

            ]});

    // window.location="coupan:"+couponCode+"$,$"+heading+"$,$"+issueDate+"$,$"+validDate+"$,$"+couponPrice+"$,$"+discountRate;
    }
	
	/*To play  video on youtube player..
   
     created by: Manoj Kumar
     */
Appyscript.openYouTubeVedio=function(youtubeWatchUrl,headerTitle){
if(isOnline())
    {
   if(!headerTitle){headerTitle=pageData.pageTitle;}
       AppyPieNative.playYoutubeWatch(youtubeWatchUrl,null,"yes",headerTitle);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }

}

function openWebPage(url)
{
if(isOnline())
    {
    if(url.indexOf(".pdf")!=-1){Appyscript.openPdfFile(url,"YES"); return true;}
          AppyPieNative.openWebView(url,pageData.pageTitle);
     }else
                {
                    Appyscript.alert(internetconnectionmessage, appnameglobal_allpages);
                }


}

/*
Taxi
Created by: Ravi
*/
Appyscript.startTaxi=function(val){
    AppyPieNative.startTaxiApp(val);
}



/*
To modify json data in case of undefined value..
*/

Appyscript.validateJSONData=function(jsonStr)
{
var jsonObj=JSON.parse(jsonStr);
try
{

$$.each(jsonObj, function(key, value) {
//console.log(key+"==="+value);
  if(!value || value===null || value.indexOf("undefined")!=-1 || value=="null"){
     jsonObj[key]="";
  }
});

}
catch(error)
{
//console.log("krishna error"+error);
return JSON.stringify(jsonObj);
}

return JSON.stringify(jsonObj);

}


//Start of inner deep link code
var globalparameterdeeplinkpara;
var dataGlobalDownloadPagedeeplink;
function opendeeplinkpage(para){
    globalparameterdeeplinkpara=para;
    var linkwithfolder=para.split("$$");
    if(linkwithfolder.length>1)
    {
        var linkId  =linkwithfolder[0].split(":/");

        data.home.forEach(function(item,index){
                          var idWithoutDash = item.pageIdentifierBecon.replace(/_/g, '');

                          if(idWithoutDash==linkId[0]){
                          Appyscript.pageDataDeeplink(item.pageid, item.pageIdentifierBecon);
                          return;
                          }

                          })

    }
    else{
        var linkId  =para.split(":/");

        data.home.forEach(function(item,index){
                          var idWithoutDash = item.pageIdentifierBecon.replace(/_/g, '');

                          if(idWithoutDash==linkId[0]){
                          Appyscript.pageData(item.pageid, item.pageIdentifierBecon);
                          return;
                          }

                          })
    }


}
//---------- Get Json Data for folder for Deeplink
Appyscript.pageDataDeeplink = function(pageIddeep, pageIdentifierdeep) {
    var Connection=isOnline();

    if(Connection)
    {
        var query= site_url+'/webservices/Page.php';

        Appyscript.showIndicator();
        $$.ajax({
                url: query,
                data:'{"method":"getPages","appId":"'+localStorage.getItem("appid")+'","pageIdentifire":"'+pageIdentifierdeep+'"}',
                type: "post",
                async: true,
                success: function(dataa, textStatus ){
                if(dataa=='null')
                {
                deeplinkopenpagefolder();
                }
                else{
                dataGlobalDownloadPagedeeplink=dataa;
                fileSystemGlobal.root.getFile(pageIdentifierdeep+'.json', {create: true, exclusive: false}, gotFileEntryPagedeep, failPagedeep);
                }
                },error: function(error) {
                Appyscript.hideIndicator();
                }
                });
    }
    else
    {
        Appyscript.hideIndicator();
        Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);

    }

}
function failPagedeep()
{
    Appyscript.hideIndicator();
    Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);
}
function gotFileEntryPagedeep(fileEntry)
{
    fileEntry.createWriter(gotFileWriterPagedeep, failPage);
}

function gotFileWriterPagedeep(writer) {

    writer.write(dataGlobalDownloadPagedeeplink);
    writer.onwriteend = function(evt) {
        deeplinkopenpagefolder();
        writer.seek(writer.length);
    };

}

function deeplinkopenpagefolder()
{
    var linkwithfolder=globalparameterdeeplinkpara.split("$$");
    if(linkwithfolder.length>1)
    {
        var linkId1  =linkwithfolder[0].split(":/");
        var linkId2  =linkwithfolder[1].split(":/");
        var linkId3=linkId2[0]+linkId1[0];

        dataGlobalDownloadPagedeeplink=JSON.parse(dataGlobalDownloadPagedeeplink);
    dataGlobalDownloadPagedeeplink.home.forEach(function(item,index){
                      var idWithoutDash = item.pageIdentifierBecon.replace(/_/g, '');
                    idWithoutDash = idWithoutDash.replace(/-/g, '');
                      if(idWithoutDash==linkId3){
                    Appyscript.pageData(item.pageid, item.pageIdentifierBecon);
                     // Appyscript.pageDataDeeplink(item.pageid, item.pageIdentifierBecon);
                      return;
                      }

                                                });
    }
}


function outerLink(webUrl)
{
AppyPieNative.openWebView(webUrl,pageData.pageTitle);
}



Appyscript.getPathForUploadProfilePic=function(url, name, appid, emailid)
{
var path = AppyPieNative.getRealPathURI(url);
if(path.indexOf("?"))
{
var data = path.split("?");
path=data[0];
console.log("==== path after split : " + path);
}
AppyPieNative.updateDirProfile(appid, name, emailid, path, "updatepic");
}