var chatroomData,chatDataRef,chatSize,chatIndex=0;
var chatDefaultUserImage = 'http://alpha.juptr.io/images/default-user.png';
Appyscript.chatroomPage = function(index){
	chatroomData = pageData.list[index];
	chatroomData.styleAndNavigation = pageData.styleAndNavigation;
	chatroomData.innerLayout=1;
	if(chatroomData.identifire == "chatroom")
	{
		if(localStorage.getItem("chatUserName") == null)
		{
			chatroomData.mode = 0;
			$$.get("pages/chatroom.html", function (template) {
				var compiledTemplate = AppyTemplate.compile(template);
				var html = compiledTemplate(chatroomData);
				mainView.router.load({content: html, animatePages: true});
			})
		}
		else
		{
			chatroomData.mode = 1;
			chatroomData.userImage = localStorage.getItem("chatUserImage");
			Appyscript.chatroomOpen(chatroomData.value + "/" + chatroomData.name);
		}
	}
	else
	{
		Appyscript.openChat(chatroomData.identifire,chatroomData.name);
	}
}


Appyscript.chatroomOpen = function(value){
	$$.get("pages/chatroom-view.html", function (template) {
		var compiledTemplate = AppyTemplate.compile(template);
		var html = compiledTemplate(chatroomData);
		mainView.router.load({content: html, animatePages: true});

		chatDataRef = new Firebase(value);

		try {
			chatDataRef.once("value", function(snapshot) {
				var scrollContent = $$(mainView.activePage.container).find(".page-content")[0];
				scrollContent.scrollTop=scrollContent.scrollHeight;
			})
		}
		catch (err) {
			console.log("error in chatroomOpen");
		}

		try {
			chatDataRef.on('child_added', function(snapshot) {
				var message = snapshot.val();
				//console.log(message);
				Appyscript.showChatMessage(message.name, message.text, message.image, message.id,message.chatID);
			});
		}
		catch (err) {
			console.log("error in chatroomOpen");
		}
	})
}

Appyscript.chatroomNext = function(a){
	if($$("#userName").val().trim() == "")
	{
		Appyscript.alert('Please enter Screen Name!', "Chatroom");
		return false;
	}
	localStorage.setItem("chatUserName", $$("#userName").val());
	if($$("#set_chat_pic").attr("src").indexOf("data:image/jpeg;base64") == -1)
	{
		if(localStorage.getItem("chatUserImage") == null)
		{
			localStorage.setItem("chatUserImage",chatDefaultUserImage);
		}
		chatroomData.userImage = localStorage.getItem("chatUserImage");
		$$(".user img").attr("src", chatroomData.userImage);
		$$("#updatepic").attr("src", chatroomData.userImage);
		if(a == 0)
		{
			Appyscript.chatroomOpen(chatroomData.value + "/" + chatroomData.name);
		}
		else
		{
			mainView.router.back();
			var scrollContent = $$(mainView.activePage.container).find(".page-content")[0];
			scrollContent.scrollTop=scrollContent.scrollHeight;

		}
	}
	else
	{
		var reseller = "http://snappy.appypie.com";
		var wsUrll = reseller + "/services/utility-soap#uploadpic";
		var soapRequestt = '<?xml version="1.0" encoding="utf-8"?> <soap:Envelope xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"  xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:soap="http://schemas.xmlsoap.org/soap/envelope/"><soap:Body><uploadpic xmlns=\"http://'
		+ reseller
		+ '/services/social-soap#uploadpic\"><image>'
		+ $$("#set_chat_pic").attr("src").replace("data:image/jpeg;base64,", "")
		+ '</image><uuid>'+Appyscript.getDeviceId()+'</uuid></uploadpic></soap:Body></soap:Envelope>';
		Appyscript.showIndicator();
		$$.post(wsUrll, soapRequestt, function(data){
				Appyscript.hideIndicator();
			localStorage.setItem("chatUserImage",'http://apps.appypie.com/media/chatroom/' + Appyscript.getDeviceId() + '.jpg?t=' + new Date().getTime());
			chatroomData.userImage = localStorage.getItem("chatUserImage");
			$$(".user img").attr("src", chatroomData.userImage);
			$$("#updatepic").attr("src", chatroomData.userImage);

			if(a == 0)
			{
				Appyscript.chatroomOpen(chatroomData.value + "/" + chatroomData.name);
			}
			else
			{
				mainView.router.back();
				var scrollContent = $$(mainView.activePage.container).find(".page-content")[0];
				scrollContent.scrollTop=scrollContent.scrollHeight;
			}
		})
	}
}

Appyscript.chatroomImage = function(a){
	/*
	var imgTypes = "jpg,jpeg,bmp,gif,png";
	if(imgTypes.indexOf(a.files[0].name.substr(a.files[0].name.lastIndexOf(".")+ 1)) == -1)
	{
		Appyscript.alert("Sorry, " + a.files[0].name + " is invalid, allowed extensions are: " + imgTypes.split(",").join(", "), "Chatroom");
		return false;
	}
	*/
	var options = {
		quality: 50,
		sourceType: Camera.PictureSourceType.PHOTOLIBRARY,
		destinationType: navigator.camera.DestinationType.FILE_URI,
	}
	Appyscript.modal({
		title: "Choose Picture",
		verticalButtons: true,
		buttons: [{
		text: 'Camera',
		onClick: function () {
			navigator.device.capture.captureImage(updateChatImage1,null, options);
		}},
		{
		text: 'Gallery',
		onClick: function () {
			navigator.camera.getPicture(updateChatImage, null, options);
		}},
		{text: 'Cancel',
		onClick: function () {
		}
		}
		]
	});

	/*
	var reader = new FileReader();
	reader.onload = function (e) {
		$$("#set_chat_pic").attr("src", e.target.result);
		$$(".upload-pic").hide();
		$$(".upload-pic-1").show();
	}
	reader.readAsDataURL(a.files[0]);
	*/
}

function readChatImage(a) {
	$$("#set_chat_pic").attr("src", a);
		$$(".upload-pic").hide();
		$$(".upload-pic-1").show();
	/*
	var reader = new FileReader();
	reader.onload = function (e) {
		$$("#set_chat_pic").attr("src", e.target.result);
		$$(".upload-pic").hide();
		$$(".upload-pic-1").show();
	}
	reader.readAsDataURL(a);
	*/
}

function updateChatImage(mediaFiles) {
	getFileContentAsBase64(mediaFiles, readChatImage)
	/*
	$$("#set_chat_pic").attr("src", mediaFiles);
	$$(".upload-pic").hide();
	$$(".upload-pic-1").show();
	*/
}

function updateChatImage1(mediaFiles) {
	getFileContentAsBase64(mediaFiles[0].fullPath, readChatImage)
	/*
	$$("#set_chat_pic").attr("src", mediaFiles[0].fullPath);
	$$(".upload-pic").hide();
	$$(".upload-pic-1").show();
	*/
}

Appyscript.chatroomEdit = function(a){
	if(a == 0)
	{
		mainView.router.back();
	}
	else
	{
		$$.get("pages/chatroom.html", function (template) {
			var compiledTemplate = AppyTemplate.compile(template);
			var html = compiledTemplate(chatroomData);
			mainView.router.load({content: html, animatePages: true});
			$$("#set_chat_pic").attr("src", localStorage.getItem("chatUserImage"));
			$$("#userName").val(localStorage.getItem("chatUserName"));
			$$(".upload-pic").hide();
			$$(".upload-pic-1").show();
		})
	}
}


Appyscript.showChatMessage = function(name, text, image, id,chatID) {
//    $$('#chatroomsend').hide();
    console.log("userid"+id)
    if (!image) {
        image = chatDefaultUserImage;
    }
    var userType = "other";
    if (text) {
        if(Appyscript.getDeviceId() == id) {
            userType = "user";
            image = localStorage.getItem("chatUserImage");
        }

        if($$("#appypie-chat").find("."+userType+":last-child").attr("id") != chatID){
        var chatHTML = '<div class="'+userType+'" id="'+chatID+'"><div class="chat-pic"><img src="'
        + image + '"></div><div class="chat-MGS">'
        + text + '</div> <div class="username">' + name
        + '</div></div>';
        $$('#appypie-chat').append(chatHTML);
        }
        $$('#chatroomloader').hide();
        $$('#chatroomsend').show();




    }
}


Appyscript.sendChatMessage = function() {
	var text = $$('#messageInput').val().trim();
	var name = localStorage.getItem("chatUserName");
	var image = localStorage.getItem("chatUserImage");
	var chatId = new Date().getTime();
	chatDataRef.push({
		name : name,
		text : text,
		image : image,
		id : Appyscript.getDeviceId(),
		chatID : chatId
	});
	$$('#messageInput').val("").focus();
	var scrollContent = $$(mainView.activePage.container).find(".page-content")[0];
	scrollContent.scrollTop=scrollContent.scrollHeight;
}





function getFileContentAsBase64(path,callback){
    window.resolveLocalFileSystemURL(path, gotFile, fail);

    function fail(e) {
          alert('Cannot found requested file');
    }

    function gotFile(fileEntry) {
           fileEntry.file(function(file) {
              var reader = new FileReader();
              reader.onloadend = function(e) {
                   var content = this.result;
                   callback(content);
              };
              // The most important point, use the readAsDatURL Method from the file plugin
              reader.readAsDataURL(file);
           });
    }
}