var formBuilderData;

Appyscript.formBuilder = function(a) {
	formBuilderData = pageData.list[a];
	formBuilderData.formStyle = pageData.styleAndNavigation;
	formBuilderData.innerLayout=1;
	openPage("formbuilder", formBuilderData);
}

Appyscript.onPageInit('formbuilder-Page',function(page) {
    Appyscript.formSettings();
	setFormBuilderAddress();
	$$(".signature-tabs").each(function(i){
			var thisObj = $$(this);
			thisObj.find("label").eq(0).click(function(){
				sessionStorage.setItem('signatureIndex', i);
				Appyscript.popupPage('signature-popup');
				//Appyscript.digitalSignature(thisObj[0])
				return false;
			});
		thisObj.find("input").change(function(){			
			var file    = this.files[0];
				if (file) {
					var reader  = new FileReader();							
					reader.onload = function(e) {
						thisObj.find("img").remove();
						thisObj.append('<img src="'+e.target.result+'" />');
					}
					reader.readAsDataURL(file);
				}			
				return false;
			});
		})
		
		if(formBuilderData.paymentMethod=="payu")
        {

            if(formBuilderData.defaultCurrency == "INR" && formBuilderData.payStatus=="1" && formBuilderData.payOption=="payAmtcust")
            {
		        $$("#amount_currency").val(23).attr("disabled", "disabled");
		    }
		}
		
})

Appyscript.openPopupShedule = function() {
	if($$("#schedulePopup").is(".on"))
	{
	    $$("#formbuilder").parent().removeClass("scroll-none");
		$$("#schedulePopup").hide().removeClass("on");
	}
	else
	{
	    $$("#formbuilder").parent().addClass("scroll-none");
		$$("#schedulePopup").show().addClass("on");
	}
}


Appyscript.sendQuoteData = function(a){
	var thisObj = $$(a);
	var data = {
		postemail:thisObj.attr("email"),
		postsubject:thisObj.attr("subject"),
		fname:$$("#fname").val(),
		lname:$$("#lname").val(),
		email:$$("#email").val(),
		company:$$("#company").val(),
		telephone:$$("#telephone").val(),
		phone:$$("#phone").val(),
		website:$$("#website").val(),
		city:$$("#city").val(),
		country:$$("#country").val(),
		comment:encodeURI($$("#comment").val())
	}

	$$(".error").removeClass("error");	
	if(data.fname.trim() == "")
	{
		Appyscript.alert("Please provide the first name.");
		$$("#fname").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}

	if(!Appyscript.checkNameState(data.fname))
	{
	    Appyscript.alert("Invalid text.");
        $$("#fname").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
	}
	if(data.lname.trim() == "")
    {
        Appyscript.alert("Please provide the last name.");
        $$("#lname").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    if(!Appyscript.checkNameState(data.lname))
    {
        Appyscript.alert("Invalid text.");
        $$("#lname").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }
	if(!Appyscript.validateEmail(data.email))
	{
		Appyscript.alert("Provided email is not valid.");
		$$("#email").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}

	if(data.company.trim() == "")
    {
        Appyscript.alert("Company name should not be blank.");
        $$("#company").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    if(data.phone.trim() == "")
    {
        Appyscript.alert("Please provide a valid phone number.");
        $$("#phone").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    if(data.city.trim() == "")
    {
        Appyscript.alert("City name can not be blank.");
        $$("#city").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    if(data.country == "0")
    {
        Appyscript.alert("Please select country.");
        $$("#country").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    if(data.comment.trim() == "")
    {
        Appyscript.alert("Comment can not be blank.");
        $$("#comment").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

	Appyscript.sendFormBuilderQuoteMail(data);
	$$(".error").removeClass("error");
}

Appyscript.sendAppointment = function(a,b){	
	var data = {
		date:$$("#txtDate").val(),
		time:$$("#txtTime").val(),
		name:$$("#txtName").val(),
		email:$$("#txtEmail").val(),
		phone:$$("#txtPhone").val(),
		owneremail:a,
		appointmentSubject:b
	}
	
	var timeRegex = /^([0]?[1-9]|1[0-2]):([0-5]\d)\s?(AM|PM)$/i;
	
	$$(".error").removeClass("error");
	if(!Appyscript.validateDate(data.date))
	{
		Appyscript.alert("Please provide valid date.");
		$$("#txtDate").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}

	if(!timeRegex.test(data.time) || !Appyscript.validateTime(data.date,data.time))
	{
		Appyscript.alert("Please provide valid time.");
		$$("#txtTime").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}		
	if(data.name.trim() == "")
	{
		Appyscript.alert("Please provide the name.");
		$$("#txtName").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}

	if(!Appyscript.checkNameState(data.name))
    {
        Appyscript.alert("Invalid text.");
        $$("#txtName").parent().addClass("error");
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

	if(!Appyscript.validateEmail(data.email))
	{
		Appyscript.alert("Provided email is not valid.");
		$$("#txtEmail").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}
	if(data.phone.trim() == "")
	{
		Appyscript.alert("Please provide a valid phone number.");
		$$("#txtPhone").parent().addClass("error");
		$$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
		return;
	}

	var customData = Appyscript.getCustomFormData();

	if(!customData.flag){
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    var formLabel=Appyscript.convertStringToJson(customData.label);
    var formData=Appyscript.convertStringToJson(customData.value);
    var formFields=Appyscript.convertStringToJson(customData.type);

    Appyscript.showIndicator();

    imageFD.append("appId",window.data.appData.appId);
    imageFD.append("formPageId",pageIdentifie);
    imageFD.append("userName",data.name);
    imageFD.append("ownerEmail",data.owneremail);
    imageFD.append("formData",JSON.stringify(formData));
    imageFD.append("formLabel",JSON.stringify(formLabel));
    imageFD.append("userEmail",data.email);
    imageFD.append("formFields",JSON.stringify(formFields));
    imageFD.append("subject",data.appointmentSubject);
    imageFD.append("formName",formBuilderData.name);
    imageFD.append("appointmentDate",data.date);
    imageFD.append("appointmentTime",data.time);
    imageFD.append("userPhone",data.phone);

    imageFD.append("userRemark","");
    imageFD.append("status",1);
    imageFD.append("userDeviceType","Android");
    imageFD.append("userDeviceId",Appyscript.getDeviceId());
    imageFD.append("userDeviceToken",Appyscript.getDeviceToken());
    imageFD.append("appOwnerName",window.data.appData.owneremail);
    imageFD.append("appOwnerEmail",window.data.appData.owneremail);
    imageFD.append("lang",Appyscript.getDefaultLanguage());
    imageFD.append("appName",window.data.appData.appName);

    var xhr = new XMLHttpRequest();
    xhr.upload.addEventListener("progress", uploadProgress, false);
    xhr.addEventListener("load", uploadComplete, false);
    xhr.addEventListener("error", uploadFailed, false);
    xhr.addEventListener("abort", uploadCanceled, false);
    xhr.open("POST", site_url+"/formbuilder/send-appointment-custom");
    xhr.send(imageFD);

    imageFD = new FormData();
    imageFDFlag=false;
}

Appyscript.validateTime = function(date, time){
	if(formBuilderData.scheduleStatus == "0")
		return true;

	if(date==undefined || date=='')
		return false;

	var dt = new Date(date);
	var index=dt.getDay();

	var scheduleTimeDayJson=formBuilderData.appoinmentSchedule[index];

	if(scheduleTimeDayJson.open=="0")
		return false;

	var startDate=new Date(date+" "+scheduleTimeDayJson.startHour+":"+scheduleTimeDayJson.startMin+" "+scheduleTimeDayJson.startAMPM);
	var endDate=new Date(date+" "+scheduleTimeDayJson.endHour+":"+scheduleTimeDayJson.endMin+" "+scheduleTimeDayJson.endAMPM);
	var checkDate=new Date(date+" "+time);

	if(Date.parse(checkDate)>Date.parse(startDate) && Date.parse(checkDate)<Date.parse(endDate))
    	return true;

	return false;
}

var payment_flag=false;
var paypalHtmlData="";
var storePar;
var isForStripePayment=false;
var stripePaymentIdForGlobal=null;

Appyscript.sendCustomForm = function(a){
    var customFormURL=site_url+'/webservices/Formbuilder.php';
	$$(".error").removeClass("error");

	var customData=Appyscript.getCustomFormData();

	if(!customData.flag){
        $$("#formbuilder").show().parent()[0].scrollTop = $$(".error")[0].offsetTop;
        return;
    }

    var amount=0;
    var currency="";
    var requestId=(new Date().getTime()).toString(36);

    if(formBuilderData.payStatus=="1"){
        if(formBuilderData.payOption=="payAmt"){
            amount=$$("#amountFixed").val();
        }else{
            amount=$$("#amount").val();
        }

        if(amount>0){
            payment_flag=true;
        }

        formBuilderData.amount =amount;

        currency=$$("#amount_currency").find("option[value='"+$$("#amount_currency").val()+"']").text();
        formBuilderData.currency=currency;
        paypalHtmlData=Appyscript.getPayPalHtml("", formBuilderData.paypalId, amount, currency, requestId, site_url+"/paypalmobile/successformbuilder", site_url+"/paypalmobile/notify-form-builder/appId/"+window.data.appData.appId);
		if(formBuilderData.paymentMethod == "stripePay" || amount<=0) {
			imageFD.append("payType","");
		}
		else {
			imageFD.append("payType","save");
		}
        
    }else{
        imageFD.append("payType","");
    }

    var len=customData.type.length;
    for(var i=0; i<len; i++){
        if(customData.type[i]=="category"){
            delete customData.type[i];
            delete customData.label[i];
            delete customData.value[i];
        }
        if(customData.type[i]=="subCategory" || customData.type[i]=="subCategoryPrice"){
            customData.type[i]="category";
        }
    }

    var j=0;
    var type=[];
    var label=[];
    var value=[];
    for(var i=0; i<len; i++){
        if(customData.type[i]!=undefined){
            type[j]=customData.type[i];
            label[j]=customData.label[i];
            value[j++]=customData.value[i];
        }
    }

    delete customData.type;
    delete customData.label;
    delete customData.value;

    customData.type=type;
    customData.label=label;
    customData.value=value;

    console.log(customData);

    
	
	 if(formBuilderData.enableUserLocation)
       {
         customData.type.push("userAddress");
         customData.value.push(formBuilderAddress);
         customData.label.push(AppyTemplate.global.commonLanguageSetting.user_address);
        }

        if(formBuilderData.payStatus=="1")
        {
		   var paymentAmount=(stripePaymentIdForGlobal!=null || formBuilderData.paymentMethod!= "stripePay")? formBuilderData.amount:"0.0";
          if(paymentAmount>0)
          {
            customData.type.push("paymentMethodType");
            customData.value.push(formBuilderData.paymentMethod);
            customData.label.push(AppyTemplate.global.commonLanguageSetting.payment_method_type);

            customData.type.push("currencyType");
            customData.value.push(formBuilderData.currency);
            customData.label.push(AppyTemplate.global.commonLanguageSetting.currency);

                      
            customData.type.push("paymentAmountType");
            customData.value.push(paymentAmount);
            customData.label.push(AppyTemplate.global.commonLanguageSetting.payment_amount);


            var totlaAmount=$$("#amount").attr("totalAmt");
            customData.type.push("totalAmountType");
            customData.value.push(totlaAmount);
            customData.label.push(AppyTemplate.global.commonLanguageSetting.total_amount);
		  }


         }
	
	console.log(customData);

    var formLabel=Appyscript.convertStringToJson(customData.label);
    var formData=Appyscript.convertStringToJson(customData.value);
    var formFields=Appyscript.convertStringToJson(customData.type);
	
	 if(formBuilderData.amount>0 && stripePaymentIdForGlobal==null && formBuilderData.paymentMethod == "stripePay")
               {
                  storePar=a;
                  stripePaymentUi();

                  return;

               }


    Appyscript.showIndicator();

    imageFD.append("appId",window.data.appData.appId);
    imageFD.append("formPageId",pageIdentifie);
    imageFD.append("emailId",formBuilderData.requestEmail);
    imageFD.append("dirListid","");
    imageFD.append("requestId",requestId);
    imageFD.append("actionType","sendCustomMailTemplate");
    imageFD.append("formData",JSON.stringify(formData));
    imageFD.append("formLabel",JSON.stringify(formLabel));
    imageFD.append("userEmail","");
    imageFD.append("formFields",JSON.stringify(formFields));
    imageFD.append("subject",formBuilderData.submissionEmailSub);
    imageFD.append("formName",formBuilderData.name);
    imageFD.append("ownerEmail",window.data.appData.owneremail);
    imageFD.append("lang",Appyscript.getDefaultLanguage());
    imageFD.append("appName",window.data.appData.appName);
    imageFD.append("mailHeadingText",formBuilderData.mailHeadingText);
	if($$(".signature-tabs").length == 1) {
		imageFD.append("digitalSignature",$$(".signature-tabs img").attr("src"));
	}
	if(formBuilderData.enableUserEmail) {
		imageFD.append("enableUserEmail",formBuilderData.enableUserEmail);
	}
	
	//console.log($$(".signature-tabs img").attr("src").replace("data:image/jpeg;base64,", ""));	

    var xhr = new XMLHttpRequest();
    xhr.upload.addEventListener("progress", uploadProgress, false);
    xhr.addEventListener("load", uploadComplete, false);
    xhr.addEventListener("error", uploadFailed, false);
    xhr.addEventListener("abort", uploadCanceled, false);
    xhr.open("POST", site_url+"/webservices/Formbuilder.php");
    xhr.send(imageFD);

    imageFD = new FormData();
    imageFDFlag=false;
    imageIndex=1;
	stripePaymentIdForGlobal = null;	
}

var formBuilderAddress="";
function setFormBuilderAddress(){
    var locationData=Appyscript.getCurrentPosition();
    if(locationData != null){
        var geocoder = new google.maps.Geocoder();
        var latlng = new google.maps.LatLng(locationData.split(",")[0], locationData.split(",")[1]);

        geocoder.geocode({'latLng': latlng}, function(results, status) {
                 if (status == google.maps.GeocoderStatus.OK) {
                         if (results[0]) {
                            formBuilderAddress= results[0].formatted_address ;
                         }
                         else  {
                            console.log("Location not set, status: "+status);
                         }
                 }
                 else {
                    console.log("Geo-coder failed, status: "+status);
                 }
             });
    }
}

function uploadProgress(evt) {
        //This can used to compute progress of uploading file(s).
        /*if (evt.lengthComputable) {
          var percentComplete = Math.round(evt.loaded * 100 / evt.total);
        }*/
}

function uploadComplete(evt) {
     Appyscript.hideIndicator();
     if(payment_flag){
        if(formBuilderData.paymentMethod == "paypal_express")
        {
        if(pageData.pageTitle)
           
            openPaypalNative(paypalHtmlData,"formbuilder");
           
             else
             Appyscript.openPaypal(paypalHtmlData,"formbuilder",data.appData.appName);
            payment_flag=false;
        }

        else if(formBuilderData.paymentMethod == "payu"){
            var new_date=new Date().getTime();
            var orderId='app_'+new_date;
            Appyscript.openPayuView(formBuilderData.amount, orderId,
                                                    appid, "FirstName", "LastName" ,
                                                    "Email","Phone",formBuilderData.merchantId,formBuilderData.secretKey, site_url, "formbuilder");
            payment_flag=false;
        }
 
        else if(formBuilderData.paymentMethod == "stripePay"){
            Appyscript.alert(formBuilderData.submissionSuccessMsg,window.data.appData.appName);
            payment_flag=false;
        }
		
     }else{
        Appyscript.alert(formBuilderData.submissionSuccessMsg,window.data.appData.appName);
     }

     $$("form")[0].reset();
     $$("form .select-file").each(function(){
        $$(this).find("font").text($$(this).find("font").attr("data-val"));
    });
	if($$(".signature-tabs").length == 1) {
		$$(".signature-tabs").find("img").remove();
	}
}

function uploadFailed(evt) {
     Appyscript.hideIndicator();
     Appyscript.alert("File uploading failed.");
}

function uploadCanceled(evt) {
     Appyscript.hideIndicator();
     Appyscript.alert("File uploading cancel.");
}


Appyscript.sendFormBuilderQuoteMail = function(data){
	var sendQuoteURL=site_url+'/webservices/Formbuilder.php';
	var serviceData='{"method":"sendSubQuoteMailTemplate","appId":"'+window.data.appData.appId+'","quoteFname":"'+data.fname+'","quoteLname":"'+data.lname+'","emailId":"'+data.email+'","phone":"'+data.phone+'","subject":"'+data.postsubject+'","comments":"'+data.comment.replace("/'/g","")+'","ownerEmail":"'+data.postemail+'","lang":"'+Appyscript.getDefaultLanguage()+'","quoteLabel":"","appName":"'+window.data.appData.appName+'","company":"'+data.company+'","mobile":"'+data.telephone+'","website":"'+data.website+'","city":"'+data.city+'","country":"'+data.country+'"}'
    console.log(serviceData);

    Appyscript.showIndicator();
     if(isOnline()){
	$$.ajax({
		 url: sendQuoteURL,
		 data: Appyscript.validateJSONData(serviceData),
		 type: "post",
		 async: true,
		 success: function(data, textStatus ){
		   
			var new_data=JSON.parse(data);
			if(new_data['status']=='success'){
				Appyscript.alert(formBuilderData.submissionSuccessMsg,window.data.appData.appName);
                $$("form")[0].reset();
                $$("form .select-file").each(function(){
                    $$(this).find("font").text($$(this).find("font").attr("data-val"));
                });

                if(formBuilderData.authKey != ""){
                    sendQuoteDataToCRM(formBuilderData.authKey, formBuilderData.crmSetting, serviceData);
                }
                else{
                     Appyscript.hideIndicator();
                }
			}else
				Appyscript.alert(new_data['status']);
			 },error: function(error) {
  
            Appyscript.hideIndicator();
            Appyscript.alert(something_went_wrong_please_try_again,appnameglobal_allpages);
            console.log("Error: " + error.code + " " + error.message);
            }
            });
    }
    else{
        Appyscript.hideIndicator();
      
        Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);
    }
}


function sendQuoteDataToCRM(key, crmType, quoteData){
    if(crmType == "zoho"){
        var jsonData=JSON.parse(quoteData);
        var xml = '<?xml version="1.0" encoding="UTF-8"?>'+
                '<Leads>'+
                '<row no="1">'+
                '<FL val="Company">'+jsonData.company+'</FL>'+
                '<FL val="First Name">'+jsonData.quoteFname+'</FL>'+
                '<FL val="Last Name">'+jsonData.quoteLname+'</FL>'+
                '<FL val="Email">'+jsonData.emailId+'</FL>'+
                '<FL val="Phone">'+jsonData.phone+'</FL>'+
                '<FL val="Mobile">'+jsonData.mobile+'</FL>'+
                '<FL val="City">'+jsonData.city+'</FL>'+
                '<FL val="Country">'+jsonData.country+'</FL>'+
                '<FL val="Description">'+jsonData.comments+'</FL>'+
                '<FL val="Website">'+jsonData.website+'</FL>'+
                '<FL val="Assistant">none</FL>'+
                '</row>'+
                '</Leads>';

        var zohoUrl="https://crm.zoho.com/crm/private/xml/Leads/insertRecords?authtoken="+key+"&scope=crmapi&newFormat=1&xmlData="+xml;
        if(isOnline()){
        $$.ajax({
             url: zohoUrl,
             data: "",
             type: "get",
             async: true,
             success: function(data, textStatus ){
                  Appyscript.hideIndicator();
                console.log("Success");
             	 },error: function(error) {
                      Appyscript.hideIndicator();
            Appyscript.alert(something_went_wrong_please_try_again,appnameglobal_allpages);
            console.log("Error: " + error.code + " " + error.message);
            }
            });
    }
    else{
         Appyscript.hideIndicator();
        Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);
    }
    }else{
        //Appyscript.openCRMWebView(key,crmType,quoteData,formBuilderData.name);
        var jsonData=JSON.parse(quoteData);
        var salesURL="https://www.salesforce.com/servlet/servlet.WebToLead?encoding=UTF-8&oid="+key+"&retURL=http://&first_name="+jsonData.quoteFname+
                      "&last_name="+jsonData.quoteLname+"&email="+jsonData.emailId+"&company="+jsonData.company+"&phone="+jsonData.phone+
                      "&mobile="+jsonData.mobile+"&country="+jsonData.country+"&description="+jsonData.comments+"&URL="+jsonData.website;

        console.log(salesURL);
        if(isOnline()){
        $$.ajax({
                 url: salesURL,
                 data: '',
                 type: "post",
                 async: true,
                 success: function(data, textStatus ){
                      Appyscript.hideIndicator();
                    console.log(data);
               	 },error: function(error) {
                      Appyscript.hideIndicator();
            Appyscript.alert(something_went_wrong_please_try_again,appnameglobal_allpages);
            console.log("Error: " + error.code + " " + error.message);
            }
            });
    }
    else{
         Appyscript.hideIndicator();
        Appyscript.alert(internetconnectionmessage,appnameglobal_allpages);
    }
    }
}

//Start native code
function openPaypalNative(paypalHtmlData,Id){
    if(Appyscript.device.android)
    {
        Appyscript.openPaypal(paypalHtmlData,Id,pageData.pageTitle);        }
    else{
        window.location = "newsstandpaypal:"+encodeURI(paypalHtmlData)+"&&"+Id+"&&"+pageData.pageTitle+"&&"+"formbuilder","";
    }
    
}


Appyscript.onPageInit('signature',function(page){
	setTimeout(function(){
		Appyscript.digitalSignature();
	}, 200);	
})

Appyscript.digitalSignature = function(a) {
	
	// Get a regular interval for drawing to the screen
	window.requestAnimFrame = (function (callback) {
		return window.requestAnimationFrame || 
		window.webkitRequestAnimationFrame ||
		window.mozRequestAnimationFrame ||
		window.oRequestAnimationFrame ||
		window.msRequestAnimaitonFrame ||
		function (callback) {
			window.setTimeout(callback, 1000/60);
		};
	})();
	
	var cancelAnimationFrame = window.cancelAnimationFrame || window.mozCancelAnimationFrame;
	// Set up the canvas
	var canvas = document.getElementById("signature");
	var width = $$(window).width() - 30;
	var height = parseInt(width/3);
	if(height > ($$(canvas).parent().height() - 30))
	{
		height =parseInt($$(canvas).parent().height() - 30);
	}
	//$$(".signature-pop div").css("width", width + "px").css("height", height + "px")
	//.css({"margin-left": "-" + parseInt(width/2) + "px","margin-top": "-" + parseInt(height/2) + "px"})
	
	//($$(canvas).parent().height() - 
	//$$(canvas).attr("width", width).attr("height", height).css({"margin-left": "15px","margin-top": parseInt(height/2) + "px"});
	$$(canvas).attr("width", width).attr("height", height).css({"margin-top": "15px"});
	var ctx = canvas.getContext("2d");
	//ctx.strokeStyle = "#222222";
	if(AppyTemplate.global.styleAndNavigation.field) {
		ctx.strokeStyle = AppyTemplate.global.styleAndNavigation.field[1];			
	}
	else {
		if(pageData.styleAndNavigation.field) {
			ctx.strokeStyle = pageData.styleAndNavigation.field[1];	
		}
		else {
			ctx.strokeStyle = "#222222";
		}
	}
	
	ctx.lineWith = 2;
	
	$$(".signature-toolbar a").click(function(){
		if($$(this).is(".clear"))
		{
			ctx.save();
    		ctx.setTransform(1, 0, 0, 1, 0, 0);
    		ctx.clearRect(0, 0, canvas.width, canvas.height);
    		ctx.restore()
		}
		else
		{
			var getSignature = $$(".signature-tabs").eq(sessionStorage.getItem('signatureIndex'));			
			getSignature.find("img").remove();
			getSignature.append('<img src="'+canvas.toDataURL()+'" />');
			Appyscript.popupClose();
			cancelAnimationFrame(drawLoop);			
		}
	})
	// Set up the UI
	
	
	
	
	
	// Set up mouse events for drawing
	var drawing = false;
	var mousePos = { x:0, y:0 };
	var lastPos = mousePos;
	canvas.addEventListener("mousedown", function (e) {
	drawing = true;
	lastPos = getMousePos(canvas, e);	
	}, false);
	canvas.addEventListener("mouseup", function (e) {
	drawing = false;
	}, false);
	canvas.addEventListener("mousemove", function (e) {
	mousePos = getMousePos(canvas, e);
	}, false);
	
	// Set up touch events for mobile, etc
	canvas.addEventListener("touchstart", function (e) {
	mousePos = getTouchPos(canvas, e);
	var touch = e.touches[0];
	var mouseEvent = new MouseEvent("mousedown", {
	clientX: touch.clientX,
	clientY: touch.clientY
	});
	canvas.dispatchEvent(mouseEvent);
	}, false);
	canvas.addEventListener("touchend", function (e) {
	var mouseEvent = new MouseEvent("mouseup", {});
	canvas.dispatchEvent(mouseEvent);
	}, false);
	canvas.addEventListener("touchmove", function (e) {
	var touch = e.touches[0];
	var mouseEvent = new MouseEvent("mousemove", {
	clientX: touch.clientX,
	clientY: touch.clientY
	});
	canvas.dispatchEvent(mouseEvent);
	}, false);
	
	
	
	// Get the position of the mouse relative to the canvas
	function getMousePos(canvasDom, mouseEvent) {
	var rect = canvasDom.getBoundingClientRect();
	return {
	x: mouseEvent.clientX - rect.left,
	y: mouseEvent.clientY - rect.top
	};
	}
	
	// Get the position of a touch relative to the canvas
	function getTouchPos(canvasDom, touchEvent) {
	var rect = canvasDom.getBoundingClientRect();
	return {
	x: touchEvent.touches[0].clientX - rect.left,
	y: touchEvent.touches[0].clientY - rect.top
	};
	}
	
	// Draw to the canvas
	function renderCanvas() {
	if (drawing) {
		ctx.beginPath();
	ctx.moveTo(lastPos.x, lastPos.y);
	ctx.lineTo(mousePos.x, mousePos.y);
	ctx.stroke();
	lastPos = mousePos;
	}
	}
	
	function clearCanvas() {
	canvas.width = canvas.width;
	}
	
	// Allow for animation
	function drawLoop() {
		requestAnimFrame(drawLoop);
		renderCanvas();
	}
	drawLoop();	
}

function stripePaymentOnNativeSide(creditCardType)
{

    var creditCardJSON;
    creditCardJSON = Appyscript.formToJSON('#creditCardThroughStripe');
    //  var card_type=creditCardJSON.card_type;
    var cnumber=creditCardJSON.cardNumber;
    var expairyMonth=creditCardJSON.expairyMonth;
    var expairyYear=creditCardJSON.expairyYear;
    var cHolder=creditCardJSON.cardHolder;
    var cvvCode=creditCardJSON.cvvCode;
    var card_type= Appyscript.validateCardType(cnumber);

    if(isNaN(cnumber) || cnumber.length < 15)
    {

        Appyscript.hideIndicator();
        Appyscript.alert(AppyTemplate.global.commonLanguageSetting.Please_Enter_Valid_Number);
        return null;

    }
    else if(expairyMonth == null || expairyMonth == '')
    {
        Appyscript.hideIndicator();
        Appyscript.alert(AppyTemplate.global.commonLanguageSetting.please_enter_valid_expairy_month);
        return null;
    }
    else if(expairyYear == null || expairyYear == '')
    {
        Appyscript.hideIndicator();
        Appyscript.alert(AppyTemplate.global.commonLanguageSetting.please_enter_valid_expairy_year);

        return null;

    }
    else if(!isNaN(cHolder) || cHolder == null || cHolder == '')
    {
         Appyscript.hideIndicator();
         Appyscript.alert(AppyTemplate.global.commonLanguageSetting.please_enter_valid_card_holder_name);

        return null;

    }
    else if(isNaN(cvvCode) || cvvCode.length < 3||cvvCode=='')
    {
        Appyscript.hideIndicator();
        Appyscript.alert(AppyTemplate.global.commonLanguageSetting.please_enter_valid_cvv_code);

        return null;

    }

    var cHolder1=cHolder.split(" ");
    var lastName=  cHolder1[1];
    var firstName=cHolder1[0];


    if(lastName == '' || lastName == null)
    {
        lastName='';
    }
    var new_date=new Date().getTime();
    var orderId='app_'+new_date;


  
   Appyscript.showIndicator();

  Appyscript.goForCreditCardPayment(cnumber,expairyMonth,expairyYear,cvvCode,firstName+" "+lastName,
                                                  formBuilderData.amount,orderId,formBuilderData.publishKey,formBuilderData.stripSecretKey,
                                                  formBuilderData.currency ,data.appData.owneremail, "formbuilder");



}



function stripePaymentCallbackInFormbuilder(stripePaymentId)
{
    if(stripePaymentId!=null)
      {
        console.log("stripePaymentId :"+stripePaymentId)
        stripePaymentIdForGlobal=stripePaymentId;
		$$("input[name='paymentId']").val(stripePaymentId);
         Appyscript.hideIndicator();
                  mainView.router.back();
                  setTimeout(function(){
                  Appyscript.sendCustomForm(storePar)
                  }, 300);



      }
     else
     {
         Appyscript.hideIndicator();
         stripePaymentIdForGlobal=null;
        Appyscript.alert(AppyTemplate.global.commonLanguageSetting.your_payment_is_not_successfull, appnameglobal_allpages);
     }

}



function stripePaymentUi()
{
     /* if(localStorage.getItem("email")==null)
        {
            Appyscript.loginPage('true');
            callbackLogin=stripePaymentUi;
            return;
        }

        callbackLogin=null;*/

    Appyscript.showIndicator();
   var new_date=new Date().getTime();
                    var orderId='app_'+new_date;

                    var paymentsmethode={};
                    paymentsmethode.list=[];

                    AppyTemplate.global.styleAndNavigation.tab = ["rgba(232,60,69,1)", "#ffffff", "rgba(232,60,69,1)"];

                    paymentsmethode.list.push({"method" : "stripe", "tabClassId":"stripe", "tabActive":" active", "label": AppyTemplate.global.commonLanguageSetting.form_builder_Credit_Card_via_Stripe,
                                               "paymentMethodKey":"", "clientId":formBuilderData.publishKey, "secretKey":formBuilderData.stripSecretKey, "page":"formbuilder"});

                     $$.get("pages/payment.html", function (template)
                                                     {

                                                         var compiledTemplate = AppyTemplate.compile(template);
                                                         var html = compiledTemplate(paymentsmethode);
                                                         mainView.router.load({content: html,animatePages:true});


                                                     });
}


function callbackForPayUInFormbuilderFromNative(status)
{
    if(status == "success")
    {

      Appyscript.alert(formBuilderData.submissionSuccessMsg,window.data.appData.appName);

    }else
    {
       Appyscript.alert(AppyTemplate.global.commonLanguageSetting.common_payment_is_failure , window.data.appData.appName);

    }

}
